Update insurance
curl --request PUT \
--url https://api.yume.cloud/v1/crm/inventories/{inventory_id}/insurance/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"company": "<string>",
"number": "<string>",
"amount": "<string>"
}
'import requests
url = "https://api.yume.cloud/v1/crm/inventories/{inventory_id}/insurance/"
payload = {
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"company": "<string>",
"number": "<string>",
"amount": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start_at: '2023-11-07T05:31:56Z',
end_at: '2023-11-07T05:31:56Z',
company: '<string>',
number: '<string>',
amount: '<string>'
})
};
fetch('https://api.yume.cloud/v1/crm/inventories/{inventory_id}/insurance/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"tenant": 123,
"inventory": 123,
"type": "CASCO",
"company": "<string>",
"number": "<string>",
"amount": "<string>"
}inventories
Update insurance
PUT
/
v1
/
crm
/
inventories
/
{inventory_id}
/
insurance
/
Update insurance
Авторизации
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Заголовки
Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.
Параметры пути
Тело
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Ответ
200 - application/json
CASCO- CASCOOGPO- OGPO
Доступные опции:
CASCO, OGPO Maximum string length:
255Maximum string length:
255Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$